ML Prep API (v1)
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/calibration/channel-results
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/calibration/channel-results' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'[ { "id": 1, "calibrationDate": "2020-02-20T20:32:05", "status": "Ok", "message": "Calibration 1 completed successfully.", "hasError": false, "channelSkew": { … }, "channelOffset": { … }, "channelWarnings": null }, { "id": 2, "calibrationDate": "2020-02-21T19:17:12", "status": "Failed", "message": "Calibration 2 failed to complete.", "hasError": true, "channelSkew": null, "channelOffset": null, "channelWarnings": null } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/calibration/channel-results
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/calibration/channel-results' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-d '{
"status": "Ok",
"message": "Calibration completed successfully.",
"hasError": false,
"channelSkew": null,
"channelOffset": null,
"channelWarnings": null
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/calibration/export
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/calibration/export' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "fileName": "string", "fileBytes": "string", "fileExtension": "string" }
- Mock server
http://{{your_prep_ip_address}}/api/v1/calibration/images/{imageName}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/calibration/images/{imageName}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/calibration/self-calibration
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/calibration/self-calibration' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/calibration/channel-height-squeeze
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/calibration/channel-height-squeeze' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-d '{
"tipLabwareId": 1,
"tipLabwareSite": 2
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/calibration/hepa-filter-calibration
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/calibration/hepa-filter-calibration' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/calibration/abort
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/calibration/abort' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/calibration/close-view
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/calibration/close-view' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-d '{
"viewId": "5854c6bfedba41cba94560861b0075d8",
"viewResult": "Ok",
"viewInput": "ViewInput1;ViewInput2"
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/calibration/close-labware-view
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/calibration/close-labware-view' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-d '{
"viewId": "3d6cdce820474e9591dd819f8bad429c",
"viewResult": "",
"labwareId": "7480e08dd4034164b0c37daad240b331",
"labwarePosition": 2
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/calibration/begin-load
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/calibration/begin-load' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/calibration/end-load
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/calibration/end-load' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/calibration/begin-cleanup
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/calibration/begin-cleanup' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/calibration/end-cleanup
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/calibration/end-cleanup' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'